Evince neotevře soubory typu *.ps, *.eps

Diskuze, problémy a zkušenosti s programy, nástroji nebo balíčkovacími systémy
Odpovědět
Zpráva
Autor
peters89
Příspěvky: 2
Registrován: 17 srp 2013, 14:07

Evince neotevře soubory typu *.ps, *.eps

#1 Příspěvek od peters89 » 17 srp 2013, 14:39

Dobrý den,
chtěl bych Vás poprosit o radu. Mám problém s otevíráním souborů, které končí příponou .ps, .eps. Mám teď nově nainstalovaný Linux Mint 15. V Linux Mintu 14 jsem takovéto soubory normálně otevíral pomocí programu Evince nebo Okular. Ani jeden z těchto programů tyto soubory nezobrazí.

Tady je chybová hláška, která se zobrazí, když se pokusím soubor otevřít pomocí Evince:

Kód: Vybrat vše

(evince:11735): EvinceDocument-CRITICAL **: ev_document_misc_pixbuf_from_surface: assertion `surface' failed

(evince:11735): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed
undefined -21
Někde na internetu jsem našel, že by problém mohl být způsoben programem ghostscript-9.0.7. Problém prý zmizí, když nainstaluji ghostscript-9.0.6. Tento balík ale nemůžu nikde najít.

Zdraví,
Petr

menom
Guru Mintu
Příspěvky: 1606
Registrován: 12 pro 2012, 15:10

Re: Evince neotevře soubory s přípnami .ps, .eps

#2 Příspěvek od menom » 18 srp 2013, 01:30

Ak chceš inštalovať staršiu verziu programu, tak novšiu treba najskôr odinštalovať.
Ak si ten ghostscript-9.0.7 dodatočne kompiloval, tak tam niekde bude aj postup ako ho odinštalovať.
Problém prý zmizí, když nainstaluji ghostscript-9.0.6. Tento balík ale nemůžu nikde najít.
Toto bude dôvod:

Kód: Vybrat vše

NOTE: The Linux binaries are for testing/evaluation purposes only, they do not come as installers or installable packages.
Tu máš download pre 9.06 :

Kód: Vybrat vše

http://downloads.ghostscript.com/public/
Pozri aj toto:

Kód: Vybrat vše

http://ghostscript.com/doc/current/Readme.htm#Make

peters89
Příspěvky: 2
Registrován: 17 srp 2013, 14:07

Re: Evince neotevře soubory s přípnami .ps, .eps

#3 Příspěvek od peters89 » 18 srp 2013, 11:34

Děkuji za radu,
ghostscript 9.0.7 byl nainstalován automaticky při instalaci Linuxu. Závisí na něm jiné balíčky. Když ho budu chtít odinstalovat, tak se mi odinstalují i jiné balíčky.

Stejné problémy jako já mají i uživatelé Ubuntu 13 a ArchLinuxu. Problém je diskutován na stránce: https://bugs.launchpad.net/ubuntu/+sour ... ug/1159931

Je tam popsaný způsob, jak se dá problém obejít. Soubor <name>.ps nebo <name>.eps se dá otevřít z příkazového řádku pomocí příkazu:

Kód: Vybrat vše

 LANG=en_US evince <name>.ps
Soubor se potom normálně otevře, ale hází mi to potom v terminálu chybové hlášky. Je to velmi otravné.
Někdy teď v srpnu by měl vyjít ghostscript 9.0.8. Doufám, že potom problém zmizí. Ghostscript 9.0.6 zatím instalovat nebudu, počkám na novou verzi.

Odpovědět